summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJon TURNEY <jon.turney@dronecode.org.uk>2013-04-06 14:59:09 +0100
committerJon TURNEY <jon.turney@dronecode.org.uk>2013-04-08 14:19:30 +0100
commitce53ef8fba15ff8a8236ba877d756458276d45b4 (patch)
treebef17a269af8a751693559f464f742ba06e8abfb
parent0f504ec50c713415a0bf4373492e0f4844653c11 (diff)
Add ability to annotate symbols so they are not processes by sdksyms
SDKSYMS is defined when generating sdksyms XXX: It's sometimes asserted that X_EXPORT does this but I don't see the mechanism
-rwxr-xr-xhw/xfree86/sdksyms.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/hw/xfree86/sdksyms.sh b/hw/xfree86/sdksyms.sh
index 48b48b5db..5120e7ca1 100755
--- a/hw/xfree86/sdksyms.sh
+++ b/hw/xfree86/sdksyms.sh
@@ -311,8 +311,8 @@ topdir=$1
shift
LC_ALL=C
export LC_ALL
-${CPP:-cpp} "$@" sdksyms.c > /dev/null || exit $?
-${CPP:-cpp} "$@" sdksyms.c | ${AWK:-awk} -v topdir=$topdir '
+${CPP:-cpp} "$@" -DSDKSYMS sdksyms.c > /dev/null || exit $?
+${CPP:-cpp} "$@" -DSDKSYMS sdksyms.c | ${AWK:-awk} -v topdir=$topdir '
BEGIN {
sdk = 0;
print("/*");